Skip to main content

List Live Sessions

Get a paginated list of live sessions.

GET
/live-session/list
x-api-key<token>

API key used for authentication

In: header

Query Parameters

limit?integer

Max results to return (1-100, default 50)

Default50
Range1 <= value <= 100
cursor?string

Cursor for pagination (pass nextCursor from previous response)

includeIncomplete?string

Include sessions without an end time (default false)

Value in"true" | "false"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/live-session/list"
{
  "sessions": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "platform": "twitch",
      "startTime": "2026-04-11T01:15:19.227Z",
      "endTime": "2026-04-11T02:15:19.227Z",
      "peakViewerCount": 500,
      "finalViewerCount": 450,
      "externalSessionId": null,
      "note": null,
      "createdAt": "2026-04-11T01:15:19.227Z",
      "updatedAt": "2026-04-11T01:15:19.227Z"
    }
  ],
  "nextCursor": null
}
{
  "error": "string",
  "code": "string",
  "details": {}
}